Please merge libcommons-attributes-java (2.2-7) from Debian Testing

Bug #515259 reported by Vikram Dhillon on 2010-01-31
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libcommons-attributes-java (Ubuntu)
Wishlist
Thierry Carrez

Bug Description

Binary package hint: libcommons-attributes-java

Changelogs:

Latest Debian Changelog:
libcommons-attributes-java (2.2-7) unstable; urgency=low

   * New libcommons-attributes-java-doc package:
     - Install API Javadoc to /usr/share/doc/libcommons-attributes-java/api/
   * Update my email address
   * Bump debhelper version to >= 7
   * Remove unneeded ${shlibs:Depends} from Depends
   * Bump Standards-Version to 3.8.3:
     - Add debian/README.source to describe patch system
   * Maven POMs:
     - debian/control: add a Build-Depends-Indep dependency on maven-repo-helper
     - debian/rules: use mh_installpoms and mh_installjar
       to install the POM and the jar to the Maven repository
     - debian/poms/*.xml: Debian pom.xml files as upstream doesn't provide any
     - debian/rules: new get-orig-pom to update debian/poms/*.xml at new upstream
       release.
   * debian/copyright: Convert to DEP-5
 -- Damien Raude-Morvan <email address hidden> Tue, 24 Nov 2009 01:20:31 +0100

Latest Ubuntu Changelog:
libcommons-attributes-java (2.2-6ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/control: Depend on -headless runtimes

libcommons-attributes-java (2.2-6) unstable; urgency=low

  * Add myself as Uploaders
  * Add new qdox_1.9.diff patch to fix compatibility with QDox 1.9
    (Closes: #540682)
  * Build-Depends on default-jdk instead of default-jdk-builddep
    since we don't build a native GCJ package.
  * Depends on default-jre-headless

libcommons-attributes-java (2.2-5) unstable; urgency=low

  * Change Maintainer: Debian Java Maintainers.
  * Update Standards-Version: 3.8.2 (no changes).
  * Change Section: java.
 -- Thierry Carrez < <email address hidden>> Mon, 30 Nov 2009 16:03:06 +0100

Since this is a merge, I'll provide the patch in a minute. The package also builds fine in a lucid chroot :

dpkg-deb: building package `libcommons-attributes-java-doc' in `../libcommons-attributes-java-doc_2.2-7_all.deb'.
 dpkg-genchanges >../libcommons-attributes-java_2.2-7_i386.changes
dpkg-genchanges: not including original source code in upload
dpkg-buildpackage: binary and diff upload (original source NOT included)
I: Copying back the cached apt archive contents
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env

Vikram Dhillon (dhillon-v10) wrote :

Applies cleanly on -p0

Vikram Dhillon (dhillon-v10) wrote :
Thierry Carrez (ttx) on 2010-02-16
Changed in libcommons-attributes-java (Ubuntu):
assignee: nobody → Thierry Carrez (ttx)
importance: Undecided → Wishlist
status: New → In Progress
Thierry Carrez (ttx) wrote :

* Patch does not apply cleanly.
* The "remaining changes" must list of Debian/Ubuntu delta, not the Ubuntu-1/Ubuntu delta (in this case, it should probably only mention the "- debian/control: Depend on -headless runtimes")
* Merging Ubuntu changes on the "Depends" line should keep the debian change (added ${shlibs:Depends})
* Please also provide the Debian/Ubuntu debdiff for an easier review.

Could you please propose a new merge and resubscribe ubuntu-main-sponsors when done ?

Changed in libcommons-attributes-java (Ubuntu):
assignee: Thierry Carrez (ttx) → nobody
status: In Progress → Incomplete
Thierry Carrez (ttx) on 2010-02-16
Changed in libcommons-attributes-java (Ubuntu):
assignee: nobody → Thierry Carrez (ttx)
status: Incomplete → In Progress
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-attributes-java - 2.2-7ubuntu1

---------------
libcommons-attributes-java (2.2-7ubuntu1) lucid; urgency=low

  [ Vikram Dhillon ]
  * Merge from debian testing, remaining changes (LP: #515259):
    - debian/control: Depend on -headless runtimes

libcommons-attributes-java (2.2-7) unstable; urgency=low

  * New libcommons-attributes-java-doc package:
    - Install API Javadoc to /usr/share/doc/libcommons-attributes-java/api/
  * Update my email address
  * Bump debhelper version to >= 7
  * Remove unneeded ${shlibs:Depends} from Depends
  * Bump Standards-Version to 3.8.3:
    - Add debian/README.source to describe patch system
  * Maven POMs:
    - debian/control: add a Build-Depends-Indep dependency on maven-repo-helper
    - debian/rules: use mh_installpoms and mh_installjar
      to install the POM and the jar to the Maven repository
    - debian/poms/*.xml: Debian pom.xml files as upstream doesn't provide any
    - debian/rules: new get-orig-pom to update debian/poms/*.xml at new upstream
      release.
  * debian/copyright: Convert to DEP-5
 -- Artur Rona <email address hidden> Tue, 16 Feb 2010 15:51:27 +0100

Changed in libcommons-attributes-java (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers